## xz-utils 5.4.1

=== debian/changelog ===
xz-utils (5.4.1-1) bookworm-security; urgency=medium

  * Add fix from upstream when the threaded decompresses frees memory too
    early on invalid input (CVE-2025-31115).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 03 Apr 2025 21:55:39 +0200

xz-utils (5.4.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Increase replaces/breaks relationship with manpages-{de|fr}
    (Closes: #1028375).
  * Add da.po translation translation from manpages-l10n (Closes: #1029349).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 12 Feb 2023 21:22:50 +0100

xz-utils (5.4.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update pt_BR translations.
  * Add lintian overrides and an override for blhc.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 01 Feb 2023 17:41:36 +0100

xz-utils (5.4.1-0.0) unstable; urgency=medium

  * Non-maintainer upload.
  * Import 5.4.1.
  * Provide proper package relationship with manpages-{de|fr}
   (Closes: #1028375).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 11 Jan 2023 23:00:00 +0100

xz-utils (5.4.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * Add RRR = no to control file.
  * Point VCS tags to salsa.d.o.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 15 Dec 2022 18:14:49 +0100

xz-utils (5.4.0-0.0) experimental; urgency=medium

  * Non-maintainer upload.
  * Import 5.4.0.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 13 Dec 2022 23:49:25 +0100

xz-utils (5.3.5beta-0.0) experimental; urgency=medium

  * Non-maintainer upload.
  * Import 5.3.5beta.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 02 Dec 2022 22:10:13 +0100

xz-utils (5.3.4alpha-0.0) experimental; urgency=medium

  * Non-maintainer upload.
  * Import 5.3.4alpha.
  * Update upstream's GPG key.
  * Update standards to 4.6.1.
  * Add hardening=+all.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 18 Nov 2022 23:25:47 +0100

xz-utils (5.3.3alpha-0.0) experimental; urgency=medium

  * Non-maintainer upload.
  * Import 5.3.3alpha.
  * Add new symbols.
  * Upgrade to dh compat 13
    - Drop additional rules/ targets for the three flavours and use one.
    - Add indep targets to skip most of the build process for the indep only
      build.
    - Use autoreconf from dh
    - Update paths for installation and record not used files in not-installed
    - Update path in the docs package since newer dh detects liblzma-dev as
      the main package.
  * Provide de/fr man page (Closes: #988580, #995982).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 02 Oct 2022 22:04:04 +0200
