=== debian/control ===
Source: xz-utils
Section: utils
Priority: optional
Maintainer: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
Uploaders: Jonathan Nieder <jrnieder@gmail.com>
Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.2),
 autoconf (>= 2.64~), automake, libtool (>= 2.2),
 gettext, autopoint | gettext (<< 0.18-1), autopoint | cvs, po4a
Build-Depends-Indep: doxygen
Build-Conflicts: automake1.4
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian/xz-utils
Vcs-Git: https://salsa.debian.org/debian/xz-utils
Homepage: https://tukaani.org/xz/
Rules-Requires-Root: no

Package: liblzma5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: liblzma2 (<< 5.1.1alpha+20110809-3~)
Multi-Arch: same
Description: XZ-format compression library
 XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
 compression format, which provides memory-hungry but powerful
 compression (often better than bzip2) and fast, easy decompression.
 .
 The native format of liblzma is XZ; it also supports raw (headerless)
 streams and the older LZMA format used by lzma. (For 7-Zip's related
 format, use the p7zip package instead.)

Package: xz-utils
Priority: standard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Conflicts: lzma (<< 9.22-1), xz-lzma
Breaks: lzip (<< 1.8~rc2), manpages-de (<< 4.17.0-2~bpo11+1), manpages-fr (<< 4.17.0-2~bpo11+1)
Replaces: lzip (<< 1.8~rc2), xz-lzma, manpages-de (<< 4.17.0-2~bpo11+1), manpages-fr (<< 4.17.0-2~bpo11+1)
Provides: lzma
Description: XZ-format compression utilities
 XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
 compression format, which provides memory-hungry but powerful
 compression (often better than bzip2) and fast, easy decompression.
 .
 This package provides the command line tools for working with XZ
 compression, including xz, unxz, xzcat, xzgrep, and so on. They can
 also handle the older LZMA format, and if invoked via appropriate
 symlinks will emulate the behavior of the commands in the lzma
 package.
 .
 The XZ format is similar to the older LZMA format but includes some
 improvements for general use:
 .
  * 'file' magic for detecting XZ files;
  * crc64 data integrity check;
  * limited random-access reading support;
  * improved support for multithreading (not used in xz-utils);
  * support for flushing the encoder.

Package: xzdec
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Suggests: xz-utils
Breaks: xz-lzma (<< 4.999.9beta+20091004-1)
Replaces: xz-lzma (<< 4.999.9beta+20091004-1)
Description: XZ-format compression utilities - tiny decompressors
 XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
 compression format, which provides memory-hungry but powerful
 compression (often better than bzip2) and fast, easy decompression.
 .
 This package provides the xzdec and lzmadec utilities, which write
 the decompressed version of a compressed file to standard output. The
 binaries are very small, so they can be easily stored on small media
 with some compressed files, and they are linked statically against
 liblzma so they can be used on machines without a compatible version
 of liblzma installed. However, they have:
 .
   * no compression support;
   * no support for writing to a file other than standard output;
   * no translated messages;
   * been optimized for size rather than speed.
 .
 For a full-featured xzcat command without these limitations, use
 the xz-utils package instead.

Package: liblzma-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Depends: liblzma5 (= ${binary:Version}), ${misc:Depends}
Suggests: liblzma-doc
Description: XZ-format compression library - development files
 XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
 compression format, which provides memory-hungry but powerful
 compression (often better than bzip2) and fast, easy decompression.
 .
 The native format of liblzma is XZ; it also supports raw (headerless)
 streams and the older LZMA format used by lzma. (For 7-Zip's related
 format, use the p7zip package instead.) This package provides the
 development library needed to build programs using liblzma.

Package: liblzma-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: liblzma-dev
Description: XZ-format compression library - API documentation
 This package contains a reference manual for the liblzma data
 compression library, in Doxygen-generated HTML files. The purpose
 of each struct, macro, and function in the public interface is
 explained.
