=== debian/watch ===
version=4
opts=dversionmangle=s/\+\d{8}$//,pgpsigurlmangle=s/$/.sig/ \
https://tukaani.org/xz/xz-([\d.]*(?:beta)?)\.tar\.xz
