=== debian/changelog ===
xz-utils (5.6.1+really5.4.5-1ubuntu0.2) noble-security; urgency=medium

  * SECURITY UPDATE: issue in threaded .xz decoder
    - debian/patches/CVE-2025-31115-1.patch: fix a comment in
      src/liblzma/common/stream_decoder_mt.c.
    - debian/patches/CVE-2025-31115-2.patch: simplify by removing the
      THR_STOP state in src/liblzma/common/stream_decoder_mt.c.
    - debian/patches/CVE-2025-31115-3.patch: don't free the input buffer
      too early in src/liblzma/common/stream_decoder_mt.c.
    - debian/patches/CVE-2025-31115-4.patch: don't modify thr->in_size in
      the worker thread in src/liblzma/common/stream_decoder_mt.c.
    - CVE-2025-31115

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 31 Mar 2025 14:22:22 -0400

xz-utils (5.6.1+really5.4.5-1build0.1) noble-proposed; urgency=medium

  * SRU: LP: #2076340: No-change rebuild to pick up changed build flags
    on ppc64 and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 09 Aug 2024 04:33:21 +0200

xz-utils (5.6.1+really5.4.5-1) unstable; urgency=critical

  * Non-maintainer upload by the Security Team.
  * Revert back to the 5.4.5-0.2 version 

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 28 Mar 2024 15:59:38 +0100

xz-utils (5.6.1-1) unstable; urgency=medium

  * Non-maintainer upload.
  * Import 5.6.1 (Closes: #1067708).
  * Takeover maintenance of the package.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 27 Mar 2024 22:53:21 +0100

xz-utils (5.6.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Move xz's output of reduced threads to debug output.
  * Add missing RISC-V on the filter list in the man page.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 28 Feb 2024 20:03:45 +0100

xz-utils (5.6.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Import 5.6.0
  * Add Breaks on pristine-tar because of the different default behaviour
    regarding the -T argument.
  * Upload to unstable.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 26 Feb 2024 07:47:01 +0100

xz-utils (5.5.2beta-1) experimental; urgency=medium

  * Non-maintainer upload.
  * Import 5.5.2beta
  * Mark liblzma-doc multi-arch foreign.
  * Update copyright file, most files are now under 0BSD.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 15 Feb 2024 21:42:23 +0100

xz-utils (5.5.1alpha-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Import 5.5.1alpha.
  * Add new symbol.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 31 Jan 2024 21:44:23 +0100
