=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: xz-utils
 Section: utils
 Priority: optional
-Maintainer: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
-Uploaders: Jonathan Nieder <jrnieder@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonathan Nieder <jrnieder@gmail.com>
+Uploaders: Mohammed Adnène Trojette <adn+deb@diwi.org>
 Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.2),
  autoconf (>= 2.64~), automake, libtool (>= 2.2),
  gettext, autopoint | gettext (<< 0.18-1), autopoint | cvs, po4a
 Build-Depends-Indep: doxygen
 Build-Conflicts: automake1.4
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/xz-utils
-Vcs-Git: https://salsa.debian.org/debian/xz-utils
+Vcs-Git: https://salsa.debian.org/debian/xz-utils.git
 Homepage: https://tukaani.org/xz/
 Rules-Requires-Root: no
 
@@ -29,6 +30,14 @@
  The native format of liblzma is XZ; it also supports raw (headerless)
  streams and the older LZMA format used by lzma. (For 7-Zip's related
  format, use the p7zip package instead.)
+
+Package: liblzma5-udeb
+Package-Type: udeb
+Section: debian-installer
+Architecture: any
+Depends: ${shlibs:Depends}
+Description: XZ-format compression library
+ This liblzma package is only for use in the installation system.
 
 Package: xz-utils
 Priority: standard
