## xz-utils 5.6.1+really5.4.5-1ubuntu0.2trisquel0

=== debian/changelog ===
xz-utils (5.6.1+really5.4.5-1ubuntu0.2trisquel0) ecne-security; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 03 Apr 2025 19:44:15 +0000
