## xz-utils 5.6.2

=== debian/changelog ===
xz-utils (5.6.2-2) unstable; urgency=medium

  * Increase symbol dependency on 5.6.0 symbols to 5.6.2 due to the revert.
    Thanks to Ben Hutchings (Closes: #1074602).
  * Correct the `terse' build. Thanks to Ben Hutchings (Closes: #1074604).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 03 Jul 2024 21:51:43 +0200

xz-utils (5.6.2-1) unstable; urgency=medium

  * Import 5.6.2
  * Takeover maintenance of the package.
  * Revert the debian/ mostly to what was in 5.6.1-1

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 15 Jun 2024 10:42:31 +0200
