=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: xz-utils
 Section: utils
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Jonathan Nieder <jrnieder@gmail.com>
-Uploaders: Mohammed Adnène Trojette <adn+deb@diwi.org>
+Maintainer: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
+Uploaders: Jonathan Nieder <jrnieder@gmail.com>
 Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.2),
  autoconf (>= 2.64~), automake, libtool (>= 2.2),
  gettext, autopoint | gettext (<< 0.18-1), autopoint | cvs, po4a
-Build-Depends-Indep: doxygen
+Build-Depends-Indep: doxygen, graphviz
 Build-Conflicts: automake1.4
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/xz-utils
@@ -45,7 +44,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: foreign
 Conflicts: lzma (<< 9.22-1), xz-lzma
-Breaks: lzip (<< 1.8~rc2), manpages-de (<< 4.17.0-2~bpo11+1), manpages-fr (<< 4.17.0-2~bpo11+1)
+Breaks: lzip (<< 1.8~rc2), manpages-de (<< 4.17.0-2~bpo11+1), manpages-fr (<< 4.17.0-2~bpo11+1), pristine-tar (<< 1.50+nmu1)
 Replaces: lzip (<< 1.8~rc2), xz-lzma, manpages-de (<< 4.17.0-2~bpo11+1), manpages-fr (<< 4.17.0-2~bpo11+1)
 Provides: lzma
 Description: XZ-format compression utilities
@@ -113,6 +112,7 @@
 
 Package: liblzma-doc
 Section: doc
+Multi-Arch: foreign
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: liblzma-dev
