=== debian/watch ===
version=4
opts=dversionmangle=s/\+\d{8}$//,pgpsigurlmangle=s/$/.sig/ \
https://tukaani.org/xz/		\
https://github.com/tukaani-project/xz/releases/download/v[^/]+/xz-([\d\.]*(?:beta|alpha)?)\.tar\.xz
