## xz-utils 5.6.3

=== debian/changelog ===
xz-utils (5.6.3-1) unstable; urgency=medium

  * Import 5.6.3

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 24 Oct 2024 21:27:12 +0200
