=== debian/changelog ===
xz-utils (5.6.4-1ubuntu1) plucky; urgency=medium

  * SECURITY UPDATE: issue in threaded .xz decoder
    - debian/patches/CVE-2025-31115-1.patch: fix a comment in
      src/liblzma/common/stream_decoder_mt.c.
    - debian/patches/CVE-2025-31115-2.patch: simplify by removing the
      THR_STOP state in src/liblzma/common/stream_decoder_mt.c.
    - debian/patches/CVE-2025-31115-3.patch: don't free the input buffer
      too early in src/liblzma/common/stream_decoder_mt.c.
    - debian/patches/CVE-2025-31115-4.patch: don't modify thr->in_size in
      the worker thread in src/liblzma/common/stream_decoder_mt.c.
    - CVE-2025-31115

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 31 Mar 2025 14:18:04 -0400

xz-utils (5.6.4-1) unstable; urgency=medium

  * Import 5.6.4
  * Sync output file before removing source file (Closes: #814089).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 01 Mar 2025 21:52:57 +0100
