=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: xz-utils
 Section: utils
 Priority: optional
-Maintainer: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
 Uploaders: Jonathan Nieder <jrnieder@gmail.com>
 Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.2),
  autoconf (>= 2.64~), automake, libtool (>= 2.2),
  gettext, autopoint | gettext (<< 0.18-1), autopoint | cvs, po4a
 Build-Depends-Indep: doxygen, graphviz
 Build-Conflicts: automake1.4
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/xz-utils
 Vcs-Git: https://salsa.debian.org/debian/xz-utils.git
 Homepage: https://tukaani.org/xz/
