=== debian/tests/control ===
Tests: testsuite
Depends: debhelper-compat (= 13), autoconf (>= 2.64~), automake, libtool (>= 2.2), gettext, @
Restrictions: rw-build-tree, allow-stderr
