## xz-utils 5.8.0

=== debian/changelog ===
xz-utils (5.8.0-1) experimental; urgency=medium

  * Import 5.8.0

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 26 Mar 2025 23:01:15 +0100
