## xz-utils 5.8.1

=== debian/changelog ===
xz-utils (5.8.1-2) unstable; urgency=medium

  * Skip building docs on "nodoc" instead of "nocheck". Patch by Santiago
    Vila. (Closes: #1103332)
  * Remove the symlinks from -dev, pointing to the lib package.
    (Closes: #1109354)

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 03 Oct 2025 18:32:16 +0200

xz-utils (5.8.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Sourceful no-change upload for IEEE long double on ppc64el.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Sep 2025 11:21:01 +0200

xz-utils (5.8.1-1) unstable; urgency=medium

  * Import 5.8.1
    - Threaded .xz decoder frees memory too early (CVE-2025-31115)
  * Upload to unstable

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 03 Apr 2025 23:02:58 +0200
