=== debian/rules ===
--- 
+++ 
@@ -5,24 +5,23 @@
 	dh $@ $(opt_no_act)
 
 override_dh_auto_clean:
-	if [ -f doc/api.backup.done ]; then rm -rf doc/api; mv doc/api.backup doc/api; rm doc/api.backup.done; else rm -rf doc/api.backup*; fi
 	dh_auto_clean --builddirectory debian/xzdec-build
 	dh_auto_clean --builddirectory debian/normal-build
 	dh_auto_clean --builddirectory debian/static-build
 
 override_dh_auto_install-indep:
+	dh_auto_install --builddirectory debian/normal-build
 
 override_dh_auto_install-arch:
 	dh_auto_install --builddirectory debian/xzdec-build
+	dh_auto_install --builddirectory debian/static-build
 	dh_auto_install --builddirectory debian/normal-build
-	dh_auto_install --builddirectory debian/static-build
 
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog
 
 override_dh_auto_build-indep:
-	if [ ! -d doc/api.backup ]; then cp --reflink=auto -ra doc/api doc/api.backup; touch doc/api.backup.done; fi
-	cd doxygen && sh update-doxygen
+	dh_auto_install --builddirectory debian/normal-build
 
 override_dh_auto_build-arch:
 	dh_auto_build --builddirectory debian/normal-build
@@ -43,7 +42,19 @@
 	dh_auto_test --builddirectory debian/xzdec-build
 endif
 
-override_dh_auto_configure:
+override_dh_auto_configure-indep:
+ifneq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
+	@echo Skipping docs
+else
+	dh_auto_configure --builddirectory debian/normal-build -- \
+		$(opt_reproduce) \
+		--enable-threads --disable-static \
+		$(opt_optimize) $(opt_quiet) 	\
+		--enable-doxygen		\
+		--disable-xzdec --disable-lzmadec
+endif
+
+override_dh_auto_configure-arch:
 	dh_auto_configure --builddirectory debian/normal-build -- \
 		$(opt_reproduce) \
 		--enable-threads --disable-static \
@@ -91,7 +102,7 @@
     opt_optimize_small += --disable-assembler
 endif
 
-ifneq (,$(findstring n,$(MAKEFLAGS)))
+ifneq (,$(findstring n,$(firstword -$(MAKEFLAGS))))
     opt_no_act = --no-act
 endif
