## xz-utils 5.8.2

=== debian/changelog ===
xz-utils (5.8.2-2) unstable; urgency=medium

  * Configure gbp.conf correctly following DEP-14 and using pristine-tar
  * Add upstream metadata file
  * Enable Salsa CI using default template
  * Add myself as uploader as I intend to help maintain this package
  * Revert "Add 5.8 symbols." as it didn't actually add any
  * Set DPKG_GENSYMBOLS_CHECK_LEVEL to '4' to ensure symbols are checked
  * Add missing symbols for XZ 5.8
  * Sort the symbols file
  * Apply `wrap-and-sort -vast` to all files for easier maintenance
  * Drop redundant `Rules-Requires-Root: no`
  * Drop redundant `Priority: optional`
  * Bump Debian Policy version
  * Update Debian copyright for 2026
  * Add short license summary to header stanza to fix Lintian warning
  * Update FSF address references in copyright file
  * Remove license files from Files section in debian/copyright
  * Update watch file to version 5
  * Simplify watch file and allow it to detect any new upstream release
  * Fix misc issues in XZ man page (Closes: #1094436)

 -- Otto Kekäläinen <otto@debian.org>  Fri, 16 Jan 2026 07:13:14 +0000

xz-utils (5.8.2-1) unstable; urgency=medium

  * Import 5.8.2
    - Add a workaround for Red Hat Enterprise Linux 9 kernel bug
     (Closes: #1121085).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 26 Dec 2025 19:52:09 +0100
