=== debian/control ===
--- 
+++ 
@@ -1,26 +1,39 @@
 Source: xz-utils
 Section: utils
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
-Uploaders: Jonathan Nieder <jrnieder@gmail.com>
-Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.2),
- autoconf (>= 2.64~), automake, libtool (>= 2.2),
- gettext, autopoint | gettext (<< 0.18-1), autopoint | cvs, po4a
-Build-Depends-Indep: doxygen, graphviz
-Build-Conflicts: automake1.4
-Standards-Version: 4.7.2
+Maintainer: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
+Uploaders:
+ Jonathan Nieder <jrnieder@gmail.com>,
+ Otto Kekäläinen <otto@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ dpkg-dev (>= 1.16.2),
+ autoconf (>= 2.64~),
+ automake,
+ autopoint | cvs,
+ autopoint | gettext (<< 0.18-1),
+ gettext,
+ libtool (>= 2.2),
+ po4a,
+Build-Depends-Indep:
+ doxygen,
+ graphviz,
+Build-Conflicts:
+ automake1.4,
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian/xz-utils
 Vcs-Git: https://salsa.debian.org/debian/xz-utils.git
 Homepage: https://tukaani.org/xz/
-Rules-Requires-Root: no
 
 Package: liblzma5
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
-Breaks: liblzma2 (<< 5.1.1alpha+20110809-3~)
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
+Breaks:
+ liblzma2 (<< 5.1.1alpha+20110809-3~),
 Multi-Arch: same
 Description: XZ-format compression library
  XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
@@ -35,19 +48,33 @@
 Package-Type: udeb
 Section: debian-installer
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends:
+ ${shlibs:Depends},
 Description: XZ-format compression library
  This liblzma package is only for use in the installation system.
 
 Package: xz-utils
 Priority: standard
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Multi-Arch: foreign
-Conflicts: lzma (<< 9.22-1), xz-lzma
-Breaks: lzip (<< 1.8~rc2), manpages-de (<< 4.17.0-2~bpo11+1), manpages-fr (<< 4.17.0-2~bpo11+1), pristine-tar (<< 1.50+nmu1)
-Replaces: lzip (<< 1.8~rc2), xz-lzma, manpages-de (<< 4.17.0-2~bpo11+1), manpages-fr (<< 4.17.0-2~bpo11+1)
-Provides: lzma
+Conflicts:
+ lzma (<< 9.22-1),
+ xz-lzma,
+Breaks:
+ lzip (<< 1.8~rc2),
+ manpages-de (<< 4.17.0-2~bpo11+1),
+ manpages-fr (<< 4.17.0-2~bpo11+1),
+ pristine-tar (<< 1.50+nmu1),
+Replaces:
+ lzip (<< 1.8~rc2),
+ manpages-de (<< 4.17.0-2~bpo11+1),
+ manpages-fr (<< 4.17.0-2~bpo11+1),
+ xz-lzma,
+Provides:
+ lzma,
 Description: XZ-format compression utilities
  XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
  compression format, which provides memory-hungry but powerful
@@ -70,11 +97,16 @@
 
 Package: xzdec
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Multi-Arch: foreign
-Suggests: xz-utils
-Breaks: xz-lzma (<< 4.999.9beta+20091004-1)
-Replaces: xz-lzma (<< 4.999.9beta+20091004-1)
+Suggests:
+ xz-utils,
+Breaks:
+ xz-lzma (<< 4.999.9beta+20091004-1),
+Replaces:
+ xz-lzma (<< 4.999.9beta+20091004-1),
 Description: XZ-format compression utilities - tiny decompressors
  XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
  compression format, which provides memory-hungry but powerful
@@ -99,8 +131,11 @@
 Section: libdevel
 Multi-Arch: same
 Architecture: any
-Depends: liblzma5 (= ${binary:Version}), ${misc:Depends}
-Suggests: liblzma-doc
+Depends:
+ liblzma5 (= ${binary:Version}),
+ ${misc:Depends},
+Suggests:
+ liblzma-doc,
 Description: XZ-format compression library - development files
  XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
  compression format, which provides memory-hungry but powerful
@@ -115,8 +150,10 @@
 Section: doc
 Multi-Arch: foreign
 Architecture: all
-Depends: ${misc:Depends}
-Suggests: liblzma-dev
+Depends:
+ ${misc:Depends},
+Suggests:
+ liblzma-dev,
 Description: XZ-format compression library - API documentation
  This package contains a reference manual for the liblzma data
  compression library, in Doxygen-generated HTML files. The purpose
