=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,12 @@
 #!/usr/bin/make -f
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# Only do a strict symbol checking on Linux
+# https://manpages.debian.org/testing/dpkg-dev/dpkg-gensymbols.1.en.html
+# Level 4: Fails if some libraries have been introduced.
+ifneq (,$(filter linux,$(DEB_HOST_ARCH_OS)))
+    export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
+endif
 
 %:
 	dh $@ $(opt_no_act)
