=== debian/tests/control ===
Tests:
 testsuite,
Depends:
 debhelper-compat (= 13),
 autoconf (>= 2.64~),
 automake,
 gettext,
 libtool (>= 2.2),
 @,
Restrictions:
 allow-stderr,
 rw-build-tree,
