=== debian/watch ===
Version: 5

Source: https://tukaani.org/xz/
Matching-Pattern: https://github.com/tukaani-project/xz/releases/download/v[^/]+/xz-@ANY_VERSION@\.tar\.(?:xz|bz2|gz)
Dversion-Mangle: s/\+\d{8}$//
Pgp-Sig-Url-Mangle: s/$/.sig/
